#
# spec file for package master-boot-code (Version 1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           master-boot-code
License:        BSD
Group:          System/Boot
Autoreqprov:    on
Version:        1.6
Release:        18.1
Summary:        i386 Master Boot Record Code
Source0:        master-boot-code.tar.bz2
Source1:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 x86_64

%description
i386 master boot code is code that, after copied to the MBR of the boot
disk, loads and starts the boot sector of the active partition.



Authors:
--------
    Wolfgang Solfrank, TooLs GmbH
    The Regents of the University of California

%debug_package
%prep
%setup -n %{name}-%{version}
install -m 644 %{SOURCE1} .

%build
make

%install
test -d $RPM_BUILD_ROOT/usr/lib/boot || mkdir -p $RPM_BUILD_ROOT/usr/lib/boot
test -d $RPM_BUILD_ROOT/usr/sbin || mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -c -p -m 644 mbr $RPM_BUILD_ROOT/usr/lib/boot/master-boot-code
install -c -p -m 644 FixCHS $RPM_BUILD_ROOT/usr/sbin/fix_chs

%clean
# Clear up the mess
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%dir /usr/lib/boot
%attr(644,root,root) /usr/lib/boot/master-boot-code
%attr(755,root,root) /usr/sbin/fix_chs
%doc COPYING

%changelog -n master-boot-code
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 09 2005 - cthiel@suse.de
- repackage master-boot-code.tar.bz2 to make it bz2-compressed
* Thu Sep 01 2005 - ro@suse.de
- changed permissions of FixCHS to 755 (#114429)
* Tue Aug 23 2005 - jsrain@suse.cz
- Added FixCHS to fix C/H/S geometry in MBR (#103031)
* Thu Nov 18 2004 - jsrain@suse.cz
- Initial package
